% MATLAB HOW TO | TUTORIAL 3
% How to animate a plot 
% www.benitosebastian.com

% Define x points 
x = 0:1:10;

% Define the equation
y = x.^2;

% Plot the graph for demonstration
% plot(x,y);

% Animate function 
h = animatedline;

% Define for loop
for i = 1:length(x)
    addpoints(h,x(i),y(i)); % Adds each point 
    drawnow;    % Animates the plot
    pause(0.5);    % Pauses 0.5 seconds after adding each point
end

